Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime.metaclass
Class TransformMetaMethod

A MetaMethod implementation useful for implementing coercion based invocations

author:
  James Strachan

version:
  $Revision: 9818 $

Field Summary
`MetaMethod` | `metaMethod`

Constructor Summary
`TransformMetaMethod(MetaMethod metaMethod)`

Method Summary
`CachedClass` | `getDeclaringClass()`
`int` | `getModifiers()`
`String` | `getName()`
`Class` | `getReturnType()`
`Object` | `invoke(Object object, def arguments)`

Constructor Detail

### TransformMetaMethod

    public TransformMetaMethod(MetaMethod metaMethod)

Method Detail

### getDeclaringClass

    public CachedClass getDeclaringClass()

### getModifiers

    public int getModifiers()

### getName

    public String getName()

### getReturnType

    public Class getReturnType()

### invoke

    public Object invoke(Object object, def arguments)